set(NETGEN_VERSION "6.2.0-v6.2.0.0-v6.2.0.0")
set(NETGEN_VERSION_MAJOR "6")
set(NETGEN_VERSION_MINOR "2")
set(NETGEN_VERSION_PATCH "0")
set(NETGEN_VERSION_TWEAK "v6.2.0.0")

get_filename_component(NETGEN_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

get_filename_component(NETGEN_DIR "${NETGEN_CMAKE_DIR}/../../../" ABSOLUTE)

set(NETGEN_COMPILE_DEFINITIONS "HAVE_DLFCN_H;TCL;OPENGL;USE_TOGL_2;TOGL_X11;OCCGEOMETRY;_OCC64;JPEGLIB")

get_filename_component(NETGEN_INCLUDE_DIR "${NETGEN_CMAKE_DIR}/../../../include/netgen-mesher" ABSOLUTE)
get_filename_component(NETGEN_BINARY_DIR "${NETGEN_CMAKE_DIR}/../../../bin" ABSOLUTE)
get_filename_component(NETGEN_LIBRARY_DIR "${NETGEN_CMAKE_DIR}/../../" ABSOLUTE)
get_filename_component(NETGEN_PYTHON_DIR "${NETGEN_CMAKE_DIR}/../../python3.9/site-packages/netgen-mesher" ABSOLUTE)
get_filename_component(NETGEN_RESOURCE_DIR "${NETGEN_CMAKE_DIR}/../../../share" ABSOLUTE)

set(NETGEN_SOURCE_DIR "/builddir/build/BUILD/netgen-6.2.2101")

set(NETGEN_BUILD_FOR_CONDA "OFF")
set(NETGEN_CHECK_RANGE "OFF")
set(NETGEN_INCLUDE_DIRS "${NETGEN_INCLUDE_DIR}/include;${NETGEN_INCLUDE_DIR}")
set(NETGEN_CMAKE_THREAD_LIBS_INIT "-lpthread")
set(NETGEN_FFMPEG_LIBRARIES "")
set(NETGEN_JPEG_INCLUDE_DIR "/usr/include")
set(NETGEN_JPEG_LIBRARIES "/usr/lib64/libjpeg.so")
set(NETGEN_LIBTOGL "togl")
set(NETGEN_METIS_INCLUDE_DIR "")
set(NETGEN_METIS_LIBRARY "")
set(NETGEN_MKL_LIBRARIES "")
set(NETGEN_MPI_CXX_INCLUDE_PATH "")
set(NETGEN_MPI_CXX_LIBRARIES "")
set(NETGEN_NUMA_LIBRARY "")
set(NETGEN_OCC_INCLUDE_DIR "/usr/include/opencascade")
set(NETGEN_OCC_LIBRARIES_BIN "")
set(NETGEN_OCC_LIBRARIES "/usr/lib64/libTKBO.so;/usr/lib64/libTKBool.so;/usr/lib64/libTKBRep.so;/usr/lib64/libTKCAF.so;/usr/lib64/libTKCDF.so;/usr/lib64/libTKernel.so;/usr/lib64/libTKG2d.so;/usr/lib64/libTKG3d.so;/usr/lib64/libTKGeomAlgo.so;/usr/lib64/libTKGeomBase.so;/usr/lib64/libTKHLR.so;/usr/lib64/libTKIGES.so;/usr/lib64/libTKLCAF.so;/usr/lib64/libTKMath.so;/usr/lib64/libTKMesh.so;/usr/lib64/libTKOffset.so;/usr/lib64/libTKPrim.so;/usr/lib64/libTKService.so;/usr/lib64/libTKShHealing.so;/usr/lib64/libTKSTEP.so;/usr/lib64/libTKSTEP209.so;/usr/lib64/libTKSTEPAttr.so;/usr/lib64/libTKSTEPBase.so;/usr/lib64/libTKSTL.so;/usr/lib64/libTKTopAlgo.so;/usr/lib64/libTKV3d.so;/usr/lib64/libTKXCAF.so;/usr/lib64/libTKXDEIGES.so;/usr/lib64/libTKXDESTEP.so;/usr/lib64/libTKXSBase.so;/usr/lib64/libTKVCAF.so")
set(NETGEN_OCC_LIBRARY_DIR "/usr/lib64")
set(NETGEN_OPENGL_LIBRARIES "/usr/lib64/libOpenGL.so;/usr/lib64/libGLX.so;/usr/lib64/libGLU.so")
set(NETGEN_PYTHON_EXECUTABLE "/usr/bin/python3")
set(NETGEN_PYTHON_INCLUDE_DIRS "/usr/include/python3.9")
set(NETGEN_PYTHON_LIBRARIES "/usr/lib64/libpython3.9.so")
set(NETGEN_TCL_INCLUDE_PATH "/usr/include")
set(NETGEN_TCL_LIBRARY "/usr/lib64/libtcl.so")
set(NETGEN_TK_DND_LIBRARY "")
set(NETGEN_TK_INCLUDE_PATH "/usr/include")
set(NETGEN_TK_LIBRARY "/usr/lib64/libtk.so")
set(NETGEN_X11_X11_LIB "/usr/lib64/libX11.so")
set(NETGEN_X11_Xmu_LIB "/usr/lib64/libXmu.so")
set(NETGEN_ZLIB_INCLUDE_DIRS "/usr/include")
set(NETGEN_ZLIB_LIBRARIES "/usr/lib64/libz.so")

set(NETGEN_USE_GUI ON)
set(NETGEN_USE_PYTHON ON)
set(NETGEN_USE_MPI OFF)
set(NETGEN_USE_OCC 1)
set(NETGEN_USE_JPEG 1)
set(NETGEN_USE_MPEG OFF)
set(NETGEN_USE_CGNS OFF)
set(NETGEN_INTEL_MIC OFF)
set(NETGEN_INSTALL_PROFILES OFF)
set(NETGEN_USE_CCACHE OFF)
set(NETGEN_USE_NATIVE_ARCH OFF)
set(NETGEN_USE_NUMA OFF)

set(NETGEN_PYTHON_RPATH "../../../")
set(NETGEN_RPATH_TOKEN "$ORIGIN")

set(NETGEN_INSTALL_DIR_PYTHON /usr/lib64/python3.9/site-packages/netgen-mesher)
set(NETGEN_INSTALL_DIR_BIN bin)
set(NETGEN_INSTALL_DIR_LIB /usr/lib64)
set(NETGEN_INSTALL_DIR_INCLUDE /usr/include/netgen-mesher)
set(NETGEN_INSTALL_DIR_CMAKE /usr/lib64/cmake/netgen-mesher)
set(NETGEN_INSTALL_DIR_RES share)

include(${CMAKE_CURRENT_LIST_DIR}/netgen-targets.cmake)
message(STATUS "Found Netgen: ${CMAKE_CURRENT_LIST_DIR}")
